Talend Open Studio for Big Data 6 does not start correctly

One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi,
last week I startet with TOS_DI-Win32-20150702_1326-V6.0.0 (directly downloaded from Talend Website) and get exactly the same behavior as shown above:
During startup ...
java.lang.NullPointerException
    at org.talend.designer.codegen.JavaRoutineSynchronizer.doSyncRoutine(JavaRoutineSynchronizer.java:145)
...
Since this problem is known since 9th of July I wonder: Is there in the meantime any solution or workaround available for this behavior ?
I have found a few JIRAs dealing with this but actually no information that would help me to solve my problem.
I have installed maven on my machine and it works properly in other java projects. But I do not understand what it has to do with TOS_DI-Win32-20150702_1326-V6.0.0
I appreciate any help ...
Regads, Detlef Antoni
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi,
after re-reading former posts - especially the issue
I now could finish the problem. The solution is as mentioned: copy the \.m2\repository-Folder from another computer (on which the program workes) to the other computer (where the program does not work).
The problem seems to happen if there is already an maven-installation with special settings on a computer
Now I possibly have to switch between my "normal" mvn-Repository and "talend"-repository - we shall see.
Regards, Detlef
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi all,
The repository.zip provided by @christopher.foerster does not solve the problem because I'm getting the same error after I replaced the files in my %user%/.m2/repository folder.
Installing and executing Talend studio in another computer outside the company's proxy and then copy the downloaded files into the .m2 folder is not enogth either. Because you will have problems each time you need a new component's jar.
Besides, putting a settings.xml inside .m2 folder with a valid proxy does not solve my problem. I'm receiving the same exception:

java.lang.NullPointerException
at org.talend.designer.codegen.JavaRoutineSynchronizer.doSyncRoutine(JavaRoutineSynchronizer.java:145)
at org.talend.designer.codegen.AbstractRoutineSynchronizer.syncRoutine(AbstractRoutineSynchronizer.java:169)
at org.talend.designer.codegen.JavaRoutineSynchronizer.syncRoutineItems(JavaRoutineSynchronizer.java:103)
at org.talend.designer.codegen.JavaRoutineSynchronizer.syncAllRoutinesForLogOn(JavaRoutineSynchronizer.java:82)
at org.talend.core.CoreService.syncAllRoutines(CoreService.java:281)
at org.talend.core.repository.model.ProxyRepositoryFactory.logOnProject(ProxyRepositoryFactory.java:1826)
at org.talend.repository.ui.login.LoginHelper$2.run(LoginHelper.java:404)
at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:122)

What should I do to use Talend Open Studio 6 in my company's computer?
Community Manager

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi dani_gol,
For now there seems to be a blocker issue that we're investigating: https://jira.talendforge.org/browse/TDI-33091
Feel free to provide your use case in the JIRA issue so that we can get a fix quikcly.
Sorry for the inconvenience.
Elisa
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi 
I found how to make working  talend 6.0 on linux  
If you have error message  at start about maven-resources-plugin-2.7.jar problem :
First install maven 2 
(on debian with root :
  apt-get install maven2

)
Now loggin with the user you are running talend  (in my case user is name talend )
su - talend 

delete old .m2 folder if you have one
rm -rf  /home/talend/.m2/
cd /home/talend/
mkdir .m2
cd .m2

(if you are behind a proxy   write a file named
settings.xml with proxy informations)
echo ' 

  xmlns:xsi=""
  xsi:schemaLocation="
                      ">
 
 
 
 
 
 
 
 
   
      true
      http
      YOUR.PROXY.HOST
      YOUR.PROXY.PORT
   

 

 
 


' >  /home/talend/.m2/settings.xml


download maven-resources-plugin-2.7.jar:
( if you are behind a proxy  dont forget to  do 
export http_proxy=



wget

wget


compile :
mvn install:install-file -Dfile=./maven-resources-plugin-2.7.jar -DgroupId=org.apache.maven.plugins -DartifactId=maven-resources-plugin -Dversion=2.7 -Dpackaging=jar

and now  Talend 6.0 working  =) 
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi 
I found how to make working  talend 6.0 on linux  
If you have error message  at start about maven-resources-plugin-2.7.jar problem :
First install maven 2 
(on debian with root :
  apt-get install maven2

)
Now loggin with the user you are running talend  (in my case user is name talend )
su - talend 

delete old .m2 folder if you have one
rm -rf  /home/talend/.m2/
cd /home/talend/
mkdir .m2
cd .m2

(if you are behind a proxy   write a file named
settings.xml with proxy informations)
echo ' 

  xmlns:xsi=""
  xsi:schemaLocation="
                      ">
 
 
 
 
 
 
 
 
   
      true
      http
      YOUR.PROXY.HOST
      YOUR.PROXY.PORT
   

 

 
 


' >  /home/talend/.m2/settings.xml


download maven-resources-plugin-2.7.jar:
( if you are behind a proxy  dont forget to  do 
export http_proxy=



wget  

wget


compile :
mvn install:install-file -Dfile=./maven-resources-plugin-2.7.jar -DgroupId=org.apache.maven.plugins -DartifactId=maven-resources-plugin -Dversion=2.7 -Dpackaging=jar

and now  Talend 6.0 working  =) 

forum  remove url :/    feel free to email me   to send you information about  wget   url 
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

url to wget : ( add h t t p : //  )
repo.maven.apache.org/maven2/org/apache/maven/plugins/maven-resources-plugin/2.7/maven-resources-plugin-2.7.jar
repo.maven.apache.org/maven2/org/apache/maven/plugins/maven-resources-plugin/2.7/maven-resources-plugin-2.7.xml
david.kosiorek@armatis.lc.com
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi,
I have manged to get TOS 6.0.0 working on Windows 7 64 bit by removing the suffix of ".lastUpdated" from the files maven-resources-plugin-2.7.jar.lastUpdated and maven-resources-plugin-2.7.pom.lastUpdated in the folder c:\Users\\.m2\repository\org\plugins\maven-resources-plugin
Hope this helps
Community Manager

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi Guys,
Thanks for the feedback! I'll pass it on to the Dev team in https://jira.talendforge.org/browse/TDI-33091. Let's see if this can help.
Thanks.
Elisa
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi Guys,
Thanks for the feedback! I'll pass it on to the Dev team in . Let's see if this can help.
Thanks.
Elisa

Dear
i post on jira  a comment to  fix it    more easly
all problems are for user behind a proxy and maven cant retrive .jar to make TOS working ok
so to fix in 
Before first launch edit 
TOS_DI-20150702_1326-V6.0.0/configuration/maven_user_settings.xml

and put proxy setting in it



true
http
PROXY.COMPAGNY.HOST
PROXY.COMPAGNY.PORT



and edit also 
TOS_DI-20150702_1326-V6.0.0configuration/.settings/org.eclipse.core.net.prefs

put in it 
eclipse.preferences.version=1
org.eclipse.core.net.hasMigrated=true
proxyData/HTTP/hasAuth=false
proxyData/HTTP/host=PROXY.COMPAGNY.HOST
proxyData/HTTP/port=PROXY.COMPAGNY.PORT
proxyData/HTTPS/hasAuth=false
proxyData/HTTPS/host=PROXY.COMPAGNY.HOST
proxyData/HTTPS/port=PROXY.COMPAGNY.PORT
systemProxiesEnabled=false

and then open Talend all working
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi,
I have manged to get TOS 6.0.0 working on Windows 7 64 bit by removing the suffix of ".lastUpdated" from the files maven-resources-plugin-2.7.jar.lastUpdated and maven-resources-plugin-2.7.pom.lastUpdated in the folder c:\Users\\.m2\repository\org\plugins\maven-resources-plugin
Hope this helps

Hi all,
For the record, I have fixed the problem doing what barryharris said.
It will be nice to have another Talend build with this issue fixed.
Regards
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

I confirm that barryrharris' solution fixes the problem. 
Highlighted
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi,
I have manged to get TOS 6.0.0 working on Windows 7 64 bit by removing the suffix of ".lastUpdated" from the files maven-resources-plugin-2.7.jar.lastUpdated and maven-resources-plugin-2.7.pom.lastUpdated in the folder c:\Users\\.m2\repository\org\plugins\maven-resources-plugin
Hope this helps

Worked for me. Thanks!!!
Six Stars

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi,
I have manged to get TOS 6.0.0 working on Windows 7 64 bit by removing the suffix of ".lastUpdated" from the files maven-resources-plugin-2.7.jar.lastUpdated and maven-resources-plugin-2.7.pom.lastUpdated in the folder c:\Users\\.m2\repository\org\plugins\maven-resources-plugin
Hope this helps

This worked for me. Awesome! Much appreciated.
Moderator

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi guys,
Could you please make a testing on the 6.1.0M1 build  to see if everything is going well?
Your feedback will be highly appreciated. Feel free to add your comments into jira issue:https://jira.talendforge.org/browse/TDI-33091.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi all;
I had the iqual problem, I put the XML, I download the MAVEN but the solution is more simple. In the directory C:\Users\{user}\.m2\repository\org\apache\maven\plugins\maven-resources-plugin\2.7 delete the .lastupdate extension in the files:
maven-resources-plugin-2.7.jar
maven-resources-plugin-2.7.pom
And the MDM-6.0.0 is working correctly. After, i have other problem in the MDM-6.0.0...see post "Error to run job"
Regards
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi guys,
Could you please make a testing on the 6.1.0M1 build  to see if everything is going well?

Your feedback will be highly appreciated. Feel free to add your comments into jira issue:.
Best regards
Sabrina

I was getting the same error with 6.0 and none of the solutions worked. I downloaded and tried the 6.1.0M1 and it is working now. Thank you for the update.
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

I hava the sam issue, talend can not start: after i chosed an existing project, the error happend:
!ENTRY org.talend.platform.logging 4 0 2015-09-28 09:57:26.330
!MESSAGE 2015-09-28 09:57:26,328 ERROR org.talend.commons.exception.CommonExceptionHandler  -
!STACK 0
java.lang.IllegalArgumentException:
    at org.talend.commons.exception.CommonExceptionHandler.getPriority(CommonExceptionHandler.java:63)
    at org.talend.commons.exception.ExceptionHandler.process(ExceptionHandler.java:33)
    at org.talend.designer.runprocess.DeleteAllJobWhenStartUp.earlyStartup(DeleteAllJobWhenStartUp.java:129)
    at org.talend.designer.runprocess.DeleteAllJobWhenStartUp.startup(DeleteAllJobWhenStartUp.java:53)
    at org.talend.designer.runprocess.RunProcessService.deleteAllJobs(RunProcessService.java:217)
    at org.talend.core.CoreService.deleteAllJobs(CoreService.java:318)
    at org.talend.core.repository.model.ProxyRepositoryFactory.logOnProject(ProxyRepositoryFactory.java:1835)
    at org.talend.repository.ui.login.LoginHelper$1.run(LoginHelper.java:410)
    at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:122)
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

For those who are facing similar issue, pls follow below steps to resolve:
1: Install apache maven in your system where you wish to run TOS .
Follow steps for windows here : 
2: Ensure that you have configured apache maven environment variables properly.
3: Go to apache maven settings file , usually found under conf folder.
4: Change the proxy related settings if required . like below:

       
      optional
      true
      http
      proxy-server
      80
      local.net|some.host.com
   

 

5: Install following Apache Maven plugin to solve the issue:
mvn install:install-file "-DgroupId=org.apache.maven.plugins" "-DartifactId=maven-resources-plugin" "-Dversion=2.7" "-Dfile=D:\Tools\MonToo Tools\apache-maven-3.2.5\lib\maven-resources-plugin-2.7.jar" "-Dpackaging-jar"
Have fun !!!..
Moderator

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi,
Please review the KB article about:TalendHelpCenter:Configuring+a+proxy+in+the+maven+setting+file.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: Talend Open Studio for Big Data 6 does not start correctly

In the directory C:\Users\{user}\.m2\repository\org\apache\maven\plugins\maven-resources-plugin\2.7 delete the .lastupdate extension in the files:
maven-resources-plugin-2.7.jar
maven-resources-plugin-2.7.pom

Great! Thanks a lot!!! You've just saved my holidays!!! Smiley Happy
Six Stars

Re: Talend Open Studio for Big Data 6 does not start correctly

Thanks, Really Great Solution...! Smiley Happy
One Star

Re: Talend Open Studio for Big Data 6 does not start correctly

hi,  I am getting the following error please advise. Thanks.
 
hduser@homeUbi:~/TOS_BD-20151214_1327-V6.1.1$ cat /home/hduser/TOS_BD-20151214_1327-V6.1.1/configuration/1455797147319.log
!SESSION 2016-02-18 20:05:47.216 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_45
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_SG
Command-line arguments:  -os linux -ws gtk -arch x86_64
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2016-02-18 20:05:47.822
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2016-02-18 20:05:47.846
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.compare.win32 4 0 2016-02-18 20:05:47.864
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.compare.win32
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=win32)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.osgi 4 0 2016-02-18 20:05:48.720
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: No more handles
at org.eclipse.swt.SWT.error(SWT.java:4467)
at org.eclipse.swt.widgets.Display.createDisplay(Display.java:934)
at org.eclipse.swt.widgets.Display.create(Display.java:918)
at org.eclipse.swt.graphics.Device.(Device.java:157)
at org.eclipse.swt.widgets.Display.(Display.java:514)
at org.eclipse.swt.widgets.Display.(Display.java:505)
at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:732)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:162)
at org.talend.rcp.intro.Application.start(Application.java:90)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:497)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
at org.eclipse.equinox.launcher.Main.main(Main.java:1438)
hduser@homeUbi:~/TOS_BD-20151214_1327-V6.1.1$ 
hduser@homeUbi:~/TOS_BD-20151214_1327-V6.1.1$ 
Moderator

Re: Talend Open Studio for Big Data 6 does not start correctly

Hi senthilnathans,
What's your OS? Linux? 64 bit?
Have you ever started up your studio successfully? Does this issue repro on your other build version?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: Talend Open Studio for Big Data 6 does not start correctly

Hello,
I am facing the same problem 
OS=win8 (64 bits),  JDK = v1.8.0_121  , TOS = 6.1.1 (I tried v6.2.0 and the v6.2.1 too, getting the same error) 
!ENTRY org.eclipse.equinox.ds 4 0 2017-03-09 14:37:15.941
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.equinox.ds
  Unresolved requirement: Import-Package: org.eclipse.equinox.internal.util.event; version="1.0.0"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1562)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2017-03-09 14:37:21.150
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2017-03-09 14:37:21.153
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2017-03-09 14:37:22.765
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1498)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2017-03-09 14:37:22.772
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1498)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.emf.ecore 2 0 2017-03-09 14:37:22.904
!MESSAGE Both 'org.talend.model' and 'org.talend.model' register a package for 'platform:/resource/org.talend.model/model/TalendFile.xsd'
 
Have you been able to resolve the problem ?
Thanks

Cloud Free Trial

Try Talend Cloud free for 30 days.

Tutorial

Introduction to Talend Open Studio for Data Integration.

Definitive Guide to Data Integration

Practical steps to developing your data integration strategy.

Definitive Guide to Data Quality

Create systems and workflow to manage clean data ingestion and data transformation.